/**
 * 演示程序当前的 “注册/登录” 等操作，是基于 “本地存储” 完成的
 * 当您要参考这个演示程序进行相关 app 的开发时，
 * 请注意将相关方法调整成 “基于服务端Service” 的实现。
 **/

(function($, owner) {
	/**
	 * 验证推送
	 **/
	
	owner.validatePush = function(domain,callback){
		var info = plus.push.getClientInfo();
		//获取客户端推送标识信息
		var token = info.token
		,clientid = info.clientid
		,appid = info.appid
		,appkey = info.appkey;
//		alert( "Device: " + plus.device.model )
//		alert(plus.os.vendor + ' :vendor');
//		alert(plus.os.version+ 'version')
		var version = '';
		var model = plus.device.model;
		var os = plus.os.name; 
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			version = inf.version;
			mui.ajax(domain+'/v1/sponsor/reportGetuiInfo',{
				data:{
					token:token,
					clientId:clientid,
					appId:appid,
					appKey:appkey,
					ver: version,
					osType: os,
					osVer: model
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；	              
				success:function(data){
					//服务器返回响应，根据响应结果，分析是否登录成功；
					
					if(data.success==true){
						console.log(data.msg+'----推送端口信息提交成功') 
					}else{
						
					}
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					console.log("推送获取失败");
				}
			});
		});
		
		
		return callback();
	}
	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo,domain, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		var mask=mui.createMask();
		mui.ajax(domain+'/v1/loginByMobile',{
			data:{
				mobile:loginInfo.account,
				vcode:loginInfo.password
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			beforeSend: function() {
		        plus.nativeUI.showWaiting('登录中..');
		    },
		    complete: function() {
		        plus.nativeUI.closeWaiting();
		    },
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				
				if(data.success==true){
					owner.validatePush(domain,function(){});
					return owner.createState(data.obj, callback);
				}else{
					return callback('用户名或密码错误');
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				mui.alert('服务器连接超时，请稍后再试');
			}
		});
	};

	owner.createState = function(token, callback) {
		var state = owner.getState();
		state.account = name;
		state.token = token;
		owner.setState(token);
		return callback();
	};

	/**
	 * 新用户注册
	 **/
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		if (regInfo.account.length < 5) {
			return callback('用户名最短需要 5 个字符');
		}
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		if (!checkEmail(regInfo.email)) {
			return callback('邮箱地址不合法');
		}
		//存储账号密码
		var users = JSON.parse(localStorage.getItem('$users') || '[]');
		users.push(regInfo);
		localStorage.setItem('$users', JSON.stringify(users));
		return callback();
	};

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
		//var settings = owner.getSettings();
		//settings.gestures = '';
		//owner.setSettings(settings);
	};

	var checkEmail = function(email) {
		email = email || '';
		return (email.length > 3 && email.indexOf('@') > -1);
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if (!checkEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
	};

	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};		
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
			var settingsText = localStorage.getItem('$settings') || "{}";
			return JSON.parse(settingsText);
		}
		/**
		 * 获取本地是否安装客户端
		 **/
	owner.isInstalled = function(id) {
		if (id === 'qihoo' && mui.os.plus) {
			return true;
		}
		if (mui.os.android) {
			var main = plus.android.runtimeMainActivity();
			var packageManager = main.getPackageManager();
			var PackageManager = plus.android.importClass(packageManager)
			var packageName = {
				"qq": "com.tencent.mobileqq",
				"weixin": "com.tencent.mm",
				"sinaweibo": "com.sina.weibo"
			}
			try {
				return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
			} catch (e) {}
		} else {
			switch (id) {
				case "qq":
					var TencentOAuth = plus.ios.import("TencentOAuth");
					return TencentOAuth.iphoneQQInstalled();
				case "weixin":
					var WXApi = plus.ios.import("WXApi");
					return WXApi.isWXAppInstalled()
				case "sinaweibo":
					var SinaAPI = plus.ios.import("WeiboSDK");
					return SinaAPI.isWeiboAppInstalled()
				default:
					break;
			}
		}
	}
}(mui, window.app = {}));
	